KERNEL_VERSION=2.6.32-ARCH

pre_install() {
  cp /usr/lib/xorg/modules/extensions/libdri.so /usr/lib/xorg/modules/extensions/libdri.xorg
}

post_install() {
  depmod $KERNEL_VERSION
  rm -f usr/lib/xorg/modules/extensions/libdri.so
  ln -sf libdri.ati usr/lib/xorg/modules/extensions/libdri.so
  echo "--------------------------------------------------------------"
  echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
  echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
  echo "--------------------------------------------------------------"
}

post_upgrade() {
  depmod $KERNEL_VERSION
  rm -f usr/lib/xorg/modules/extensions/libdri.so
  ln -sf libdri.ati usr/lib/xorg/modules/extensions/libdri.so
}

post_remove() {
  depmod $KERNEL_VERSION
  # If the symlink is dead, remove it
  if [ ! -e usr/lib/xorg/modules/extensions/libdri.so ]; then
    rm -f usr/lib/xorg/modules/extensions/libdri.so
    ln -sf libdri.xorg usr/lib/xorg/modules/extensions/libdri.so
  fi
  echo "NOTE: Don't forget to recover your original xorg.conf file."
}
